org.flexdock.docking.defaults

## Class DefaultDockingStrategy.DockingResults

- java.lang.Object
- - org.flexdock.docking.defaults.DefaultDockingStrategy.DockingResults

- Enclosing class:
    DefaultDockingStrategy

      protected static class DefaultDockingStrategy.DockingResults
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DockingPort` | `dropTarget`
    `boolean` | `success`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDockingStrategy.DockingResults(DockingPort port, boolean status)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dropTarget

          public DockingPort dropTarget

    - #### success

          public boolean success

  - ### Constructor Detail

    - #### DefaultDockingStrategy.DockingResults

          public DefaultDockingStrategy.DockingResults(DockingPort port,
                                               boolean status)